### Enumeration

# Gtk CssParserWarning

since: 4.0

#### Declaration

    enum Gtk.CssParserWarning

#### Description [src]

Warnings that can occur while parsing CSS.

Unlike `GtkCssParserError`s, warnings do not cause the parser to skip any input, but they indicate issues that should be fixed.

Available since: 4.0

#### Members

`GTK_CSS_PARSER_WARNING_DEPRECATED`

  The given construct is deprecated and will be removed in a future version.

  - Value: `0`
  - Nickname: `None`
  - Available since: 4.0
`GTK_CSS_PARSER_WARNING_SYNTAX`

  A syntax construct was used that should be avoided.

  - Value: `1`
  - Nickname: `None`
  - Available since: 4.0
`GTK_CSS_PARSER_WARNING_UNIMPLEMENTED`

  A feature is not implemented.

  - Value: `2`
  - Nickname: `None`
  - Available since: 4.0